#include <v_lib.h>

int main()
{
	file_t in;
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	in=fileOpenRead("../../../../../../stub"); /* try to break LibV */
	/*
	 * Unfortunately, (l/v)fsEnsurePathAbsolute() is BROKEN.
	 * This line should produce 'path points to node higher than root' error too,
	 * but function stupid returns malformed path back.
	 * TODO ? : vboolean lfsCheckAbsolutePath(...);
	 */
	in=fileOpenRead("/../stub");
	return 0;
}
